Skip to main content
GET
/
presentations
Get all presentations.
curl --request GET \
  --url https://test.didxtech.com/me-wallet/api/presentations \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "tenantId": "987fcdeb-51a2-43f8-b456-142789abcdef",
    "status": "PENDING",
    "createdAt": "2024-03-15T10:30:00Z",
    "updatedAt": "2024-03-15T10:30:00Z",
    "selectedCredentials": [
      {
        "credentialId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "matchedAttributes": [
          "<string>"
        ]
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

List of presentations.

id
string<uuid>
required

Unique identifier for the presentation

Example:

"123e4567-e89b-12d3-a456-426614174000"

tenantId
string<uuid>
required

ID of the tenant that owns this presentation

Example:

"987fcdeb-51a2-43f8-b456-142789abcdef"

status
enum<string>
required

Current status of the presentation

Available options:
PENDING,
REJECTED,
ANSWERED
Example:

"PENDING"

createdAt
string
required

Timestamp when the presentation was created

Example:

"2024-03-15T10:30:00Z"

updatedAt
string
required

Timestamp when the presentation was last updated

Example:

"2024-03-15T10:30:00Z"

selectedCredentials
object[]

Credentials selected for this presentation, each with their matched attribute paths